
Name:           kmix
Summary:        KDE5 Digital Mixer
Version: 		23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2
URL:            http://www.kde.org/applications/multimedia/kmix/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Source1:		kmix_autostart.desktop
#Patch0:         mixer.cpp.patch
BuildRequires:  kf5-macros
BuildRequires: cmake 
BuildRequires: lib64alsa2-devel
BuildRequires: lib64canberra-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5globalaccel-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5plasma-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 

Conflicts: plasma-pa

%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files 
/usr/share/metainfo/org.kde.kmix.appdata.xml
/usr/share/qlogging-categories5/kmix.categories
/usr/share/locale
/etc/xdg/autostart/kmix_autostart.desktop
/etc/xdg/autostart/restore_kmix_volumes.desktop
/usr/bin/kmix
/usr/bin/kmixctrl
/usr/bin/kmixremote
/usr/lib64/libkmixcore.so.*
/usr/lib64/qt5/plugins/kf5/kded/kmixd.so
/usr/share/applications/kmix_autostart.desktop
/usr/share/applications/org.kde.kmix.desktop
/usr/share/config.kcfg/kmixsettings.kcfg
/usr/share/dbus-1/interfaces/org.kde.kmix.control.xml
/usr/share/dbus-1/interfaces/org.kde.kmix.mixer.xml
/usr/share/dbus-1/interfaces/org.kde.kmix.mixset.xml
/usr/share/icons/hicolor/128x128/actions/kmix.png
/usr/share/icons/hicolor/16x16/actions/kmix.png
/usr/share/icons/hicolor/32x32/actions/kmix.png
/usr/share/icons/hicolor/48x48/actions/kmix.png
/usr/share/icons/hicolor/64x64/actions/kmix.png
/usr/share/kmix/pics/mixer-ac97.png
/usr/share/kmix/pics/mixer-capture.png
/usr/share/kmix/pics/mixer-cd.png
/usr/share/kmix/pics/mixer-digital.png
/usr/share/kmix/pics/mixer-front.png
/usr/share/kmix/pics/mixer-headset.png
/usr/share/kmix/pics/mixer-lfe.png
/usr/share/kmix/pics/mixer-line.png
/usr/share/kmix/pics/mixer-master.png
/usr/share/kmix/pics/mixer-microphone.png
/usr/share/kmix/pics/mixer-midi.png
/usr/share/kmix/pics/mixer-pcm-default.png
/usr/share/kmix/pics/mixer-pcm.png
/usr/share/kmix/pics/mixer-surround.png
/usr/share/kmix/pics/mixer-video.png
/usr/share/kmix/pics/show-mixer.png
/usr/share/kmix/profiles/ALSA.TerraTec_DMX6Fire.1.default.xml
/usr/share/kmix/profiles/ALSA.capture.xml
/usr/share/kmix/profiles/ALSA.default.xml
/usr/share/kmix/profiles/ALSA.playback.xml
/usr/share/kmix/profiles/MPRIS2.default.xml
/usr/share/kmix/profiles/OSS.default.xml
/usr/share/kmix/profiles/PulseAudio.default.xml
/usr/share/kmix/profiles/SUNAudio.default.xml
/usr/share/knotifications5/kmix.notifyrc
/usr/share/kservices5/kmixctrl_restore.desktop
/usr/share/kxmlgui5/kmix/kmixui.rc

%package -n kmix-handbook
Summary: Kmix handbook
Requires:  kmix
BuildArch: noarch
Group: Documentation

%description -n kmix-handbook
This package provides kmix handbook.

%files -n kmix-handbook
%_kf5_docdir/HTML

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DKMIX_KF5_BUILD=ON
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

install -m 0755 %SOURCE1 %buildroot/%_kf5_applicationsdir/kmix_autostart.desktop
install -m 0755 %SOURCE1 %buildroot/%_kf5_sysconfdir/xdg/autostart/kmix_autostart.desktop

%post
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
	rm -f /home/$idx/.config/autostart/kmix_autostart.desktop
done


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

